#ifndef __PREFS_DIALOG_H
#define __PREFS_DIALOG_H

#include <gtk/gtk.h>

// struct for configuration values
typedef struct {
  float terrain_clr[3];
  int   subdivision;
} XTPConfig;


extern XTPConfig xtp_global_config;


// Creates the dialog
GtkWidget* xtp_create_prefs_dialog();

// Reads the configuration file
void xtp_read_config();


// Callbacks //////////////////////////////////////////////////////
void xtp_on_ok(GtkButton *button, gpointer user_data);
void xtp_on_apply(GtkButton *button, gpointer user_data);
void xtp_on_cancel(GtkButton *button, gpointer user_data);


#endif
